Listar operações de planilha
curl --request GET \
--url https://api.olie.ai/api/management/spreadsheet-operations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.olie.ai/api/management/spreadsheet-operations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.olie.ai/api/management/spreadsheet-operations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"response": true,
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"per_page": 30,
"to": 30,
"total": 5
},
"spreadsheet_operations": [
{
"id": "019dd427-5d13-71bf-9a09-d75aa2bf4bd7",
"action": "export",
"type": "project",
"status": "completed",
"total_rows": 120,
"processed_rows": 120,
"percentage": 100,
"errors_count": 0,
"metadata": {
"columns": [
"project.id",
"project.name"
],
"filters": []
},
"file_name": "project_2026-06-01-143022.xlsx",
"initiator_type": "App\\Models\\User",
"initiator_id": "019c75de-50f0-7366-a948-b8cbdd1841be",
"initiator": {
"id": "019c75de-50f0-7366-a948-b8cbdd1841be",
"name": "Tester",
"avatar_url": "https://via.placeholder.com/124x124.png/00aa99?text=quas"
},
"started_at": "2026-06-01T14:30:22.000000Z",
"completed_at": "2026-06-01T14:31:10.000000Z",
"created_at": "2026-06-01T14:30:22.000000Z",
"updated_at": "2026-06-01T14:31:10.000000Z"
}
]
}spreadsheet-operations
Listar operações de planilha
Lista operações de import/export assíncronas. Suporta paginação e filtros por action e status.
GET
/
api
/
management
/
spreadsheet-operations
Listar operações de planilha
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Número da página a ser retornada. Começa em 1
Quantidade de itens exibidos por página. Define o tamanho da página de resultados
Filtra pelo tipo de operação: import ou export.
Available options:
import, export Filtra pelo status exato: pending, processing, completed ou failed.
Available options:
pending, processing, completed, failed Was this page helpful?
⌘I